# If this makefile is not generic enough to support a translation,
# please contact debian-www.

WMLBASE=../../..
CUR_DIR=international/l10n/po
SUBS=

GETTEXTFILES += l10n.mo

include $(WMLBASE)/Make.lang

L10N_DIR = $(ENGLISHDIR)/international/l10n
DIST = unstable
SORT_PKGS = $(L10N_DIR)/data/popcon

LANGS_PO  := $(shell grep 'po:' $(L10N_DIR)/data/langs | sed -e 's/po: *//')
HTML_PO   := $(foreach lang,$(LANGS_PO),$(lang).$(LANGUAGE).html)

all:: $(HTML_PO)

WEAK_FAILURES = $(sort $(wildcard *.wml))

tmpl.$(LANGUAGE).tmpl: tmpl.src $(L10N_DIR)/dtc.def $(ENGLISHDIR)/$(CUR_DIR)/menu.inc $(L10N_DIR)/date.gen $(GETTEXTDEP)
	$(WML) tmpl.src

todo.$(LANGUAGE).html: $(ENGLISHDIR)/$(CUR_DIR)/gen/main.exc
rank.$(LANGUAGE).html: $(ENGLISHDIR)/$(CUR_DIR)/gen/rank.inc

#   HTMLFILES do not depend upon $(ENGLISHDIR)/$(CUR_DIR)/gen/main.exc
#   but this fake dependancy is added in order to force generation
#   of all files ASAP, and then prevent calling gen-files.pl more
#   than once
$(HTMLFILES): $(ENGLISHDIR)/$(CUR_DIR)/menu.inc $(L10N_DIR)/dtc.def $(L10N_DIR)/date.gen $(ENGLISHDIR)/$(CUR_DIR)/gen/main.exc $(GETTEXTDEP)

$(HTML_PO): tmpl.$(LANGUAGE).tmpl $(ENGLISHDIR)/$(CUR_DIR)/gen/main.exc
	$(L10N_DIR)/scripts/fix-files.sh $(ENGLISHDIR)/$(CUR_DIR)/gen $(LANGUAGE) tmpl $(LANGS_PO)

ifeq ($(USE_SAMPLE_FILES),1)
$(L10N_DIR)/data/%:
	$(MAKE) -C $(L10N_DIR) data/$(notdir $@)
endif

$(ENGLISHDIR)/$(CUR_DIR)/gen/main.exc $(ENGLISHDIR)/$(CUR_DIR)/gen/rank.inc $(L10N_DIR)/date.gen $(L10N_DIR)/data/langs: $(L10N_DIR)/scripts/gen-files.pl $(L10N_DIR)/data/$(DIST)
	-rm -rf $(ENGLISHDIR)/$(CUR_DIR)/../*/gen
	$(L10N_DIR)/scripts/isoquery.pl
#	This is effectively the only place, where gen-files.pl is executed. The other ones in ../podebconf and ../po4a are not called.
	perl $(L10N_DIR)/scripts/gen-files.pl --sort=$(SORT_PKGS) --dist=$(DIST) --l10ndir=$(L10N_DIR)  --langs --po --podebconf --po4a
#	In the following we strip out wrong or unwanted language entries (to be defined in strip-langs.sh):
	$(L10N_DIR)/scripts/strip-langs.sh
#	Variable LANGS_PO has to be refreshed here, since it has been modified by strip-langs.sh:
LANGS_PO  := $(shell grep 'po:' $(L10N_DIR)/data/langs | sed -e 's/po: *//')

clean::
	-rm -rf gen
	-rm -f tmpl.$(LANGUAGE).tmpl
	-rm -f $(L10N_DIR)/*.dir $(L10N_DIR)/*.pag

install:: $(patsubst %,$(HTMLDIR)/%,$(HTML_PO))
